excelExporter.excelParser.dataModel

## Enum CellObject.CellType

- java.lang.Object
- - java.lang.Enum<CellObject.CellType>
  - - excelExporter.excelParser.dataModel.CellObject.CellType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CellObject.CellType>
  Enclosing class:
    CellObject

      public static enum CellObject.CellType
      extends java.lang.Enum<CellObject.CellType>

  An enumeration describing the possible data types of the cell contents.

  Note, empty cells are not added to the data model. The access from a template to such a cell will evaluate to null. Therefore, the enumeration values `blank` and `undefined` will never be seen from a template. See `CellObject.isNotBlank` for a more detailed consideration.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `blank`
    `bool`
    `date`
    `error`
    `integer`
    `real`
    `text`
    `undefined`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CellObject.CellType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CellObject.CellType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### undefined

          public static final CellObject.CellType undefined

    - #### blank

          public static final CellObject.CellType blank

    - #### integer

          public static final CellObject.CellType integer

    - #### real

          public static final CellObject.CellType real

    - #### date

          public static final CellObject.CellType date

    - #### text

          public static final CellObject.CellType text

    - #### bool

          public static final CellObject.CellType bool

    - #### error

          public static final CellObject.CellType error

  - ### Method Detail

    - #### values

          public static CellObject.CellType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CellObject.CellType c : CellObject.CellType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CellObject.CellType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null